complexType "MarginTerm"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | currency?, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount)
</...>

Content Model Elements (4):

  currency (in marginTerm), segregatedIndependentAmount (in marginTerm), | segregatedIndependentAmount (in marginTerm), variationMargin (in marginTerm)

All Direct / Indirect Based Elements (1):

  marginTerm

Known Usage Locations

- As direct type of elements (1):
  marginTerm

Annotation
Margin Terms can be defined as they apply to Variation Margin and/or Segregated Independent Amount. For Variation Margin Terms a threshold, minimumTransferAmount and transferRounding are defined. For Segregated Independent Amount it is only necessary to provide a minimumTransferAmount and transferRounding.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="MarginTerm"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="VariationMarginTerm"/> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="SegregatedIndependentAmountMarginTerm"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="SegregatedIndependentAmountMarginTerm"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
currency

  Type: | Currency, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

segregatedIndependentAmount

  Type: | SegregatedIndependentAmountMarginTerm, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="SegregatedIndependentAmountMarginTerm"/>

segregatedIndependentAmount

  Type: | SegregatedIndependentAmountMarginTerm, complex content

  segregated independent amount terms
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="segregatedIndependentAmount" type="SegregatedIndependentAmountMarginTerm"/>

variationMargin

  Type: | VariationMarginTerm, complex content

  variation margin terms
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="variationMargin" type="VariationMarginTerm"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.